GNU bug report logs - #33513
26.1; emacsclient forgetting keybinds set by tty-setup-hook

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Hadrien Lacour <hadrien.lacour@HIDDEN>; dated Mon, 26 Nov 2018 15:16:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33513 <at> debbugs.gnu.org:


Received: (at 33513) by debbugs.gnu.org; 28 Nov 2020 09:23:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 28 04:23:33 2020
Received: from localhost ([127.0.0.1]:46950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiwS5-0005Lr-6D
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 04:23:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kiwS3-0005Lb-8i
 for 33513 <at> debbugs.gnu.org; Sat, 28 Nov 2020 04:23:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42446)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kiwRx-0007fu-Bd; Sat, 28 Nov 2020 04:23:25 -0500
Received: from [176.228.60.248] (port=3581 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kiwRw-0007YC-Qd; Sat, 28 Nov 2020 04:23:25 -0500
Date: Sat, 28 Nov 2020 11:23:11 +0200
Message-Id: <83sg8tn8cg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hadrien Lacour <hadrien.lacour@HIDDEN>
In-Reply-To: <20201128091258.v5f2nnj7ntba4cqu@gentoo-zen2700x> (message from
 Hadrien Lacour on Sat, 28 Nov 2020 10:12:58 +0100)
Subject: Re: bug#33513: 26.1;
 emacsclient forgetting keybinds set by tty-setup-hook
References: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
 <87im9stii5.fsf@HIDDEN>
 <20201126153249.3kxdhmwrx5vy7vaq@gentoo-zen2700x>
 <87k0u7jiny.fsf@HIDDEN> <20201128091258.v5f2nnj7ntba4cqu@gentoo-zen2700x>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33513
Cc: larsi@HIDDEN, 33513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 28 Nov 2020 10:12:58 +0100
> From: Hadrien Lacour <hadrien.lacour@HIDDEN>
> Cc: 33513 <at> debbugs.gnu.org
> 
> > >> What key stroke is "^[[1;5A" (etc) representing?
> >
> > [...]
> >
> > > as the line says, "Ctrl + Up arrow". I think I stopped used
> > > emacsclient because of this, actually.
> >
> > When I use emacsclient -nw (Debian bullseye), `C-up' works without
> > altering input-decode-map, so I'm wondering why your terminal is sending
> > key sequences making it necessary to alter input-decode-map.
> 
> Most probably because Emacs has some defaults for xterm based terminals, which
> st isn't. And Emacs needs those defaults because "C-up" isn't described by
> terminfo.

So maybe the way forward is to update lisp/term/st.el with these
sequences?  Currently, we behave as if st is the same as xterm.

> Anyway, that's not really the problem, the bindings shouldn't
> disappear. Mind you, I haven't try to reproduce it with the current version,
> I'll probably get to it.

Please do, perhaps the latest code already fixes this problem.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.

Message received at 33513 <at> debbugs.gnu.org:


Received: (at 33513) by debbugs.gnu.org; 28 Nov 2020 09:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 28 04:13:10 2020
Received: from localhost ([127.0.0.1]:46944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiwI2-00055p-4K
	for submit <at> debbugs.gnu.org; Sat, 28 Nov 2020 04:13:10 -0500
Received: from mout01.posteo.de ([185.67.36.65]:34294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1kiwHz-00055c-Rt
 for 33513 <at> debbugs.gnu.org; Sat, 28 Nov 2020 04:13:08 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 8594316005F
 for <33513 <at> debbugs.gnu.org>; Sat, 28 Nov 2020 10:13:01 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1606554781; bh=Hn1sGPmSSlw+/HDMez20BcCyQ3RF7I7QHqIP90XJqpI=;
 h=Date:From:To:Cc:Subject:From;
 b=rdfxMzfrqwNkeEXOTuFo7rRe105wJm/VMkYIW/0RHoLuIMNj/sEtx7+rpre6KY2/O
 rEdxasxGwdrcT+y8tfnH0YEF0r/wENzW4JV/H6Lm5Nq9BkaknDDynii2Jk/ZarfHhW
 hs+ykWF6svCo4P1MQBFal4li99oXvJOwc/o1dV5DZN55CUDjDcaoTeI9YsEm6CP9Vn
 lffjAoDXumci4Q+a94rjIS+eEmJGPoLI232yE2MEvv33jU2CyiSMZY1pQrthf3Fofd
 9xhPixX16jbUaLLGLSa9qp0si6yOB9Igt+U/v5OhZ3TOoJgRlQyQYa7Agpe4tyhEqk
 mxTfbz5dDcl+w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Cjm4D68tPz6tmB;
 Sat, 28 Nov 2020 10:13:00 +0100 (CET)
Date: Sat, 28 Nov 2020 10:12:58 +0100
From: Hadrien Lacour <hadrien.lacour@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#33513: 26.1; emacsclient forgetting keybinds set by
 tty-setup-hook
Message-ID: <20201128091258.v5f2nnj7ntba4cqu@gentoo-zen2700x>
References: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
 <87im9stii5.fsf@HIDDEN>
 <20201126153249.3kxdhmwrx5vy7vaq@gentoo-zen2700x>
 <87k0u7jiny.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87k0u7jiny.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33513
Cc: 33513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Fri, Nov 27, 2020 at 09:41:37AM +0100, Lars Ingebrigtsen wrote:
> Hadrien Lacour <hadrien.lacour@HIDDEN> writes:
>
> >> > (define-key input-decode-map "^[[1;5A" [C-up])
> >>
> >> [...]
> >>
> >> > I get the keybinds I want when using emacs -nw with st, but when using
> >> > emacs --daemon and emacsclient, these work only the first time:
> >> > $ emacs --daemon
> >> > $ emacsclient -nw myfile # no problem, close with C-x C-c
> >> > $ emacsclient -nw myfile # from here, tty frames don't remember the bindings
> >>
> >> (This bug report unfortunately got no response at the time.)
> >>
> >> What key stroke is "^[[1;5A" (etc) representing?
>
> [...]
>
> > as the line says, "Ctrl + Up arrow". I think I stopped used
> > emacsclient because of this, actually.
>
> When I use emacsclient -nw (Debian bullseye), `C-up' works without
> altering input-decode-map, so I'm wondering why your terminal is sending
> key sequences making it necessary to alter input-decode-map.

Most probably because Emacs has some defaults for xterm based terminals, which
st isn't. And Emacs needs those defaults because "C-up" isn't described by
terminfo.

Anyway, that's not really the problem, the bindings shouldn't
disappear. Mind you, I haven't try to reproduce it with the current version,
I'll probably get to it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.

Message received at 33513 <at> debbugs.gnu.org:


Received: (at 33513) by debbugs.gnu.org; 27 Nov 2020 08:41:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 27 03:41:50 2020
Received: from localhost ([127.0.0.1]:43905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiZKA-0004bD-GJ
	for submit <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:41:50 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kiZK8-0004az-Jp
 for 33513 <at> debbugs.gnu.org; Fri, 27 Nov 2020 03:41:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MAA547cev6wiP1/qBA54Yg3kvAoXxChuOi296R31zjQ=; b=o1yDNmX+m/l/Sw3RYr5QZ49NYx
 f9BKnK1b0892POm9wlndY5zFwQkXmtX8CIA070K4fIdl0ZDjzRLeKT8fUcVcm2GQBA1rWQqBwwzb9
 Akejq9RB3u2VNcmFLOJUOfxr5Xc4BK92t2Nw2qHKTNozaHyEvhJMSPp/PNGCs3V4dYys=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kiZJy-0005JM-Md; Fri, 27 Nov 2020 09:41:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Hadrien Lacour <hadrien.lacour@HIDDEN>
Subject: Re: bug#33513: 26.1; emacsclient forgetting keybinds set by
 tty-setup-hook
References: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
 <87im9stii5.fsf@HIDDEN>
 <20201126153249.3kxdhmwrx5vy7vaq@gentoo-zen2700x>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUdGBaCYm9UPET/
 ///ZTkq4AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QLGwcuDy8+EIMAAAFTSURBVCjPjVFNa8JAEJ2G
 BrZ7riX0tIS2rPMrRFDoLQUToicpKI2/Yl1U0hwLSuxpWRC2+ysbk2xs6aVzmrdv9r35APgTAYg2
 8+LhTA8cmGTjfld0t09OrgziTF93jA6FP7+oEQZSFHVKOQnzkNkGKAxz1KwWITwMCecNAFKZCaZa
 ASVpJ+Yht9vOljO17ZgCceNyTxeFI9bppRePPlG+ds0VnJorN93TPTVrV3dTKtKm1haUUmEUmYOf
 LQ7JcqmzeFtCPB8douhgp/4ugpMc96J0gs/+7hb8dJQuRvEwmU1rb1MZdy3EVPho2nb6L4D7HBvg
 SzgmRdCAzSscezlzcwIL63XQgVFKK5BYfSIP1ZiI+Uf1AJ6xqxX9zK0oz3ayYji+nxkQlnqagMfR
 nQQ4N/X1UFhWlX7VW3gUlksr38raCc6MVEH7B7ngIoAf8Qv8O74Bmr1iBcXp8PAAAAAldEVYdGRh
 dGU6Y3JlYXRlADIwMjAtMTEtMjdUMDc6NDY6MTUrMDA6MDDJ+p/6AAAAJXRFWHRkYXRlOm1vZGlm
 eQAyMDIwLTExLTI3VDA3OjQ2OjE1KzAwOjAwuKcnRgAAAABJRU5ErkJggg==
X-Now-Playing: LYZZA ft. Joe Goddard's _SHAPE Wire CD'2020_: "Neverland"
Date: Fri, 27 Nov 2020 09:41:37 +0100
In-Reply-To: <20201126153249.3kxdhmwrx5vy7vaq@gentoo-zen2700x> (Hadrien
 Lacour's message of "Thu, 26 Nov 2020 16:32:49 +0100")
Message-ID: <87k0u7jiny.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Hadrien Lacour <hadrien.lacour@HIDDEN> writes: >> >
 (define-key
 input-decode-map "^[[1;5A" [C-up]) >> >> [...] >> >> > I get the keybinds
 I want when using emacs -nw with st, but when using >> > emacs --daemon and
 emacsclient, these work only the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33513
Cc: 33513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hadrien Lacour <hadrien.lacour@HIDDEN> writes:

>> > (define-key input-decode-map "^[[1;5A" [C-up])
>>
>> [...]
>>
>> > I get the keybinds I want when using emacs -nw with st, but when using
>> > emacs --daemon and emacsclient, these work only the first time:
>> > $ emacs --daemon
>> > $ emacsclient -nw myfile # no problem, close with C-x C-c
>> > $ emacsclient -nw myfile # from here, tty frames don't remember the bindings
>>
>> (This bug report unfortunately got no response at the time.)
>>
>> What key stroke is "^[[1;5A" (etc) representing?

[...]

> as the line says, "Ctrl + Up arrow". I think I stopped used
> emacsclient because of this, actually.

When I use emacsclient -nw (Debian bullseye), `C-up' works without
altering input-decode-map, so I'm wondering why your terminal is sending
key sequences making it necessary to alter input-decode-map.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.

Message received at 33513 <at> debbugs.gnu.org:


Received: (at 33513) by debbugs.gnu.org; 26 Nov 2020 15:33:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 26 10:33:03 2020
Received: from localhost ([127.0.0.1]:42514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiJGY-0004D5-Ub
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 10:33:03 -0500
Received: from mout02.posteo.de ([185.67.36.66]:38647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1kiJGW-00049X-3P
 for 33513 <at> debbugs.gnu.org; Thu, 26 Nov 2020 10:33:01 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 115222400FD
 for <33513 <at> debbugs.gnu.org>; Thu, 26 Nov 2020 16:32:52 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1606404773; bh=lET9D/qU+S1qroiCdzTltjDvTBg4zBupIapBht5Av4s=;
 h=Date:From:To:Subject:From;
 b=eIpWwGPdfdz20qIt6YG4pLi+IuIG8a9vplWrq/eUierNgGmcUPsVPyg+0Ti6XedVg
 dNEJDXrfsO0Y4vgrYCZms0ot1RKLAvPw2J1CY9z3t7xmRM61foqGbiD5COx7EyLHNC
 RrNu1CAKR7k1ezobdGHIrSaooyORoxXnIadfkwYikIWaGldGUy3tOpqfBqJQX1XY6A
 UgFCYM3+2dGRYdoyvXtzRSizEq11CvBIgMm9BwSJXIjqeCgYMuYR3HYDO9eI0Hq39d
 XhF3DZx3FHOfduk6MKZlqAIyHWpHn+BXILTqf+znJchMr3bJDcY9mchE5v/DJ9QHGv
 eHhZoYk7/Pi4A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4ChhbS3lKZz9rxW
 for <33513 <at> debbugs.gnu.org>; Thu, 26 Nov 2020 16:32:52 +0100 (CET)
Date: Thu, 26 Nov 2020 16:32:49 +0100
From: Hadrien Lacour <hadrien.lacour@HIDDEN>
To: 33513 <at> debbugs.gnu.org
Subject: Re: bug#33513: 26.1; emacsclient forgetting keybinds set by
 tty-setup-hook
Message-ID: <20201126153249.3kxdhmwrx5vy7vaq@gentoo-zen2700x>
References: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
 <87im9stii5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87im9stii5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33513
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Thu, Nov 26, 2020 at 01:22:42PM +0100, Lars Ingebrigtsen wrote:
> Hadrien Lacour <hadrien.lacour@HIDDEN> writes:
>
> > (define-key input-decode-map "^[[1;5A" [C-up])
>
> [...]
>
> > I get the keybinds I want when using emacs -nw with st, but when using
> > emacs --daemon and emacsclient, these work only the first time:
> > $ emacs --daemon
> > $ emacsclient -nw myfile # no problem, close with C-x C-c
> > $ emacsclient -nw myfile # from here, tty frames don't remember the bindings
>
> (This bug report unfortunately got no response at the time.)
>
> What key stroke is "^[[1;5A" (etc) representing?
>

Hello

as the line says, "Ctrl + Up arrow". I think I stopped used emacsclient because
of this, actually.

Regards




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33513 <at> debbugs.gnu.org:


Received: (at 33513) by debbugs.gnu.org; 26 Nov 2020 12:22:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 26 07:22:57 2020
Received: from localhost ([127.0.0.1]:39978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kiGIb-0007IO-5r
	for submit <at> debbugs.gnu.org; Thu, 26 Nov 2020 07:22:57 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kiGIY-0007I7-7H
 for 33513 <at> debbugs.gnu.org; Thu, 26 Nov 2020 07:22:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TJUmsXwF4GCVtNxi434d2yTsxY0eiU5EZvvJHOUSlMI=; b=nPDT/ehhtOAumjIqi/8cDo0WbW
 In2vlv4RuBqR0VgPFIouhz/t+Vbm+Xnr0TyhFeGpNZdGorv42PICaByC2r3AevCc6fK72Cd9afHJh
 /pHnUhigOvqDrJJaRXYCHu1q11y4tCrTwLCD2oDKYB2f10+6pRBxh/QM49NRuBR43tQA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kiGIP-0001BD-CQ; Thu, 26 Nov 2020 13:22:47 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Hadrien Lacour <hadrien.lacour@HIDDEN>
Subject: Re: bug#33513: 26.1; emacsclient forgetting keybinds set by
 tty-setup-hook
References: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
X-Now-Playing: Simple Minds's _Sons and Fascination_: "Boys From Brazil"
Date: Thu, 26 Nov 2020 13:22:42 +0100
In-Reply-To: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x> (Hadrien
 Lacour's message of "Mon, 26 Nov 2018 11:51:51 +0100")
Message-ID: <87im9stii5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Hadrien Lacour <hadrien.lacour@HIDDEN> writes: >
 (define-key input-decode-map "^[[1;5A" [C-up]) [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33513
Cc: 33513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hadrien Lacour <hadrien.lacour@HIDDEN> writes:

> (define-key input-decode-map "^[[1;5A" [C-up])

[...]

> I get the keybinds I want when using emacs -nw with st, but when using
> emacs --daemon and emacsclient, these work only the first time:
> $ emacs --daemon
> $ emacsclient -nw myfile # no problem, close with C-x C-c
> $ emacsclient -nw myfile # from here, tty frames don't remember the bindings

(This bug report unfortunately got no response at the time.)

What key stroke is "^[[1;5A" (etc) representing?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Nov 2018 15:15:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 26 10:15:08 2018
Received: from localhost ([127.0.0.1]:49974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gRIbL-0006KN-WD
	for submit <at> debbugs.gnu.org; Mon, 26 Nov 2018 10:15:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1gREXG-0003U4-1Z
 for submit <at> debbugs.gnu.org; Mon, 26 Nov 2018 05:54:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1gREX9-0002ve-Hc
 for submit <at> debbugs.gnu.org; Mon, 26 Nov 2018 05:54:32 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57726)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hadrien.lacour@HIDDEN>)
 id 1gREX9-0002va-Eb
 for submit <at> debbugs.gnu.org; Mon, 26 Nov 2018 05:54:31 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43431)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1gREX8-0000dP-Ac
 for bug-gnu-emacs@HIDDEN; Mon, 26 Nov 2018 05:54:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hadrien.lacour@HIDDEN>) id 1gREX2-0002qL-DC
 for bug-gnu-emacs@HIDDEN; Mon, 26 Nov 2018 05:54:28 -0500
Received: from mout01.posteo.de ([185.67.36.65]:37829)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hadrien.lacour@HIDDEN>)
 id 1gREX1-0002mL-Qj
 for bug-gnu-emacs@HIDDEN; Mon, 26 Nov 2018 05:54:24 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 377E31601A3
 for <bug-gnu-emacs@HIDDEN>; Mon, 26 Nov 2018 11:53:36 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1543229616; bh=8JFhZrmZtQwhYRYsFBkiFqH4u91V0qI+ETHJWORBkUY=;
 h=Date:From:To:Subject:From;
 b=A3p7kR2q/CaS4td30cdY0Qni4DqlPHuCVA0XcxnNPw6DhjuNhzWQW1O2ef3gx4l6d
 YhFKbgirvOq9JOCm9E5W7yR4QiISDoF7lzflLGBvDrtsems64PRjL2WTwAB+vzuaMl
 A6YAkfqzv/+vDEIZHhPZgvb0wUcYo1qc6ag3BzbZ+ZgeuRHT7W5ekuZw3GXnqII1Dr
 0riaFqhcyB81+EU+x/p7JBNtrllc+iu9QCyBiG4mq7iiZ6ZK1z/fPtGau9cTLiXkIj
 8coI12BxfYopDYwiYNYjDAcnvOcYNAXKuodoL4Q5+1zxaXyZeAdKc7vaiVquFatK78
 qiGK3HSIS8zOg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 433Nyg4SDKz6tmB
 for <bug-gnu-emacs@HIDDEN>; Mon, 26 Nov 2018 11:51:55 +0100 (CET)
Date: Mon, 26 Nov 2018 11:51:51 +0100
From: Hadrien Lacour <hadrien.lacour@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; emacsclient forgetting keybinds set by tty-setup-hook
Message-ID: <20181126105151.pklkvmi4n3zzllj6@gentoo-zen2700x>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
User-Agent: NeoMutt/20180716
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 26 Nov 2018 10:15:06 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello, by using these two files:
$ cat ~/.emacs
(add-to-list 'load-path "~/.emacs.d/lisp/")
$ cat -A ~/.emacs.d/lisp/term/st.el | sed 's#\$$##'
(message "Registering st keybinds")
(define-key input-decode-map "^[[1;5A" [C-up])
(define-key input-decode-map "^[[1;5B" [C-down])
(define-key input-decode-map "^[[1;5C" [C-right])
(define-key input-decode-map "^[[1;5D" [C-left])
(define-key input-decode-map "^[[1~" [home])
(define-key input-decode-map "^[[4~" [end])

I get the keybinds I want when using emacs -nw with st, but when using
emacs --daemon and emacsclient, these work only the first time:
$ emacs --daemon
$ emacsclient -nw myfile # no problem, close with C-x C-c
$ emacsclient -nw myfile # from here, tty frames don't remember the bindings


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, X toolkit)
 of 2018-11-10 built on gentoo-zen2700x
System Description:     Gentoo Base System release 2.6

Recent messages:
Registering st keybinds
When done with a buffer, type C-x # [2 times]
M-[ 1 ; 5 b is undefined [3 times]
previous-line: Beginning of buffer [2 times]
Making completion list... [2 times]
delete-backward-char: Text is read-only [2 times]
user-error: End of history; no default available
user-error: Beginning of history; no preceding item
user-error: End of history; no default available
funcall-interactively: End of buffer

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-silent-rules
 --docdir=/usr/share/doc/emacs-26.1-r3
 --htmldir=/usr/share/doc/emacs-26.1-r3/html --libdir=/usr/lib64
 --program-suffix=-emacs-26 --infodir=/usr/share/info/emacs-26
 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-file-notification=inotify --enable-acl --without-dbus
 --without-modules --without-gameuser --without-gpm --without-kerberos
 --without-kerberos5 --without-lcms2 --without-xml2 --without-mailutils
 --without-selinux --with-gnutls --without-libsystemd --with-threads
 --without-wide-int --with-zlib --with-sound=no --with-x --without-ns
 --without-gconf --without-gsettings --without-toolkit-scroll-bars
 --without-gif --without-jpeg --without-png --without-rsvg
 --without-tiff --with-xpm --without-imagemagick --with-xft
 --without-cairo --without-libotf --without-m17n-flt
 --with-x-toolkit=lucid --without-xaw3d 'CFLAGS=-march=native -pipe -O2'
 CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
XPM NOTIFY ACL GNUTLS FREETYPE XFT ZLIB LUCID X11 THREADS

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils server time-date elec-pair finder-inf info
tex-site package easymenu epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
site-gentoo mule-util tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote inotify dynamic-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 114847 11926)
 (symbols 48 22101 1)
 (miscs 40 52 154)
 (strings 32 34720 1085)
 (string-bytes 1 931459)
 (vectors 16 15307)
 (vector-slots 8 487591 6450)
 (floats 8 58 432)
 (intervals 56 445 56)
 (buffers 992 14))




Acknowledgement sent to Hadrien Lacour <hadrien.lacour@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33513; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Dec 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.